<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
include("../incorporation/individus.class.php");

set_time_limit(300);
opensession('Sadmin',false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}
connecte($host, $user, $mdp,$db);
?>

<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>nom1</TITLE>
<BASE TARGET="_self">
<link rel="stylesheet" href="../include/general.css">
<style type="text/css"><!--
--></style>
</HEAD>
<body class="arial_sadmin">

<p class="titre" align="center">Vérification des comptes : résultats</p>
<hr width="30%">
<p>&nbsp;</p>

<?php
//on arrive avec deux types de variables :
// 1°) chxetab_14_18 (valeur creer, rien, comptes_5, eleves_5 ou profs_5)
//  où 14=eleve_id, 18=compte_id,
//  rien=ne rien faire, créer=créer un nouveau compte,
//  comptes_5 = le bon étab est le n°5 et la table comptes doit être mise à jour
//  eleves_5 = le bon étab est le n°5 et la table eleves doit être mise à jour
//  profs_5 = le bon étab est le n°5 et la table profs doit être mise à jour

// 2°) creercompte_29 (valeur rien ou eleves ou profs)
// 29=eleve_id, rien = ne rien faire et [eleves | profs] = faire avec la table eleves / profs



function affnouv($uid,$cid) {
$resc=query("SELECT login,statut,eleve_id,prof_id FROM comptes WHERE compte_id=$cid");
$rowc=mysql_fetch_array($resc);
$elvprof=strtolower($rowc['statut']);
$table=$elvprof.'s';
$champ=$elvprof.'_id';
$resu=query("SELECT nom,prenom,dnaiss,etab_id FROM $table WHERE $champ=$uid");
$rowu=mysql_fetch_array($resu);
$etab_id=$rowu['etab_id'];
$tetab=getetab($etab_id);
$rne=$tetab['rne'];
$etab=$tetab['nom'].', '.$tetab['adresse'].' - '.$tetab['ville'].' ('.$tetab['codepostal'].')';
print "<tr>\n";
print "<td> ".$rowc['statut'].      " </td>\n";
print "<td> ".$rowu['nom'].         " </td>\n";
print "<td> ".$rowu['prenom'].      " </td>\n";
print "<td> ".$rowu['dnaiss'].      " </td>\n";
print "<td> ".$rowc['login'].       " </td>\n";
print "<td> ".$etab_id.             " </td>\n";
print "<td> ".$etab.                " </td>\n";
print "</tr>\n";

mysql_free_result($resc);
mysql_free_result($resu);
}


function get_modele($etab_id,$ep) {
static $tabmodeles=array('e'=>array(),'p'=>array());
$ep=$ep[0]; // 'e' ou 'p'
if (isset($tabmodele[$ep][$etab_id])) return $tabmodele[$ep][$etab_id];
$res=query("SELECT modele_login_$ep FROM etablissements WHERE etab_id=$etab_id");
list($modele)=mysql_fetch_array($res);
$tabmodele[$ep][$etab_id]=$modele;
mysql_free_result($res);
return $modele;
}


function choixetab($uid,$cid,$mauvaisetable,$valeur) {
    if ($valeur=='rien') return;
    if ($valeur=='eleves' || $valeur=='profs') {
        query("DELETE FROM comptes WHERE compte_id=$cid");
        creercompte($uid,$valeur); //effectue affnouv
        }
    else {
        if ($mauvaisetable=='comptes') {
            query("UPDATE comptes set etab_id=".seci($valeur )." WHERE compte_id=".seci($cid));
            affnouv($uid,$cid);
            }
        else {
            $champ=substr($mauvaisetable,0,-1).'_id';
            query("UPDATE $mauvaisetable SET etab_id=".seci($valeur )." WHERE $champ=".secs($uid));
            affnouv($uid,$cid);
            }
        }
    }

function creercompte($uid,$table) {
    if ($table=='rien') return;
    $elvprof=substr($table,0,-1); //eleve ou prof
    $u=new $elvprof();
    $u->setbyid($uid);
    $modele=get_modele($u->etab_id,$elvprof);
    $u->creerloginunique($modele);
    $cid=$u->insertcompte(1); //champactif=1
    affnouv($uid,$cid);
    }


/******************************************************************************/
//programme principal : récupération des variables et dispatchage
print "<center><table border=\"1\" cellpadding=\"5\">\n";
print "<tr><th> Statut </th><th> Nom </th><th> Prénom </th><th> Date naissance </th>
           <th> Login </th><th> id étab </th><th> Etablissement </th></tr>\n";
foreach ($_POST as $nomvar => $valeur) {
    $tabvar=explode('_',$nomvar);
    $tabval=explode('_',$valeur);
    if ($tabval[0]=='rien') 		; //ne rien faire !
    elseif ($tabvar[0]=='chxetab') {
        choixetab($tabvar[1],$tabvar[2],$tabval[0],$tabval[1]);
        }
    elseif ($tabvar[0]=='creercompte') {
        creercompte($tabvar[1],$valeur);
        }
    //else : rien, c'est le name de form ou de submit
    }
print "</table></center>\n";

print "<br /><br />";
retour('../sadmin/choix_verif.form.php');
?>
</body>

</html>
